
-- Backup of AlwaysOn Availability Groups

-- Backup Preferences, http://msdn.microsoft.com/en-us/library/hh710053.aspx
-- * Prefer Secondary
-- * Secondary only
-- * Primary
-- * Any Replica

-- Backup types supported on secondary replicas, http://msdn.microsoft.com/en-us/library/hh245119.aspx
-- * Copy-only full backups
-- * Regular transaction log backups

-- Function to check preferred backup replica
SELECT sys.fn_hadr_backup_is_preferred_replica('AdventureWorks')

-- Logic in DatabaseBackup
-- * Copy-only full backup => Preferred replica (based on sys.fn_hadr_backup_is_preferred_replica)
-- * Regular full backup => Primary replica
-- * Regular differential backup => Primary replica
-- * Regular log backup => Preferred replica (based on sys.fn_hadr_backup_is_preferred_replica)

-- Backup a database with copy-only
EXECUTE dbo.DatabaseBackup
@Databases = 'AdventureWorks',
@Directory = 'C:\Backup',
@BackupType = 'FULL',
@CopyOnly = 'Y',
@LogToTable = 'Y'

-- Backup a database with copy-only, overriding backup preference
EXECUTE dbo.DatabaseBackup
@Databases = 'AdventureWorks',
@Directory = 'C:\Backup',
@BackupType = 'FULL',
@CopyOnly = 'Y',
@OverrideBackupPreference = 'Y',
@LogToTable = 'Y'